<div class="container-fluid">
  <div class="w-100 text-center">
    <%= `${studTest.first_name} ${studTest.last_name}, test:${studTest.title}`  %>
      <% if (studTest.ts_submitted) { %>
        <br> This test was submitted at:
        <%=`${studTest.ts_submitted}`%>, you can
          <a href="<%-`${studTest.stalkLink}`%>" target="_blank">review</a> it.

          <% } %>
  </div>
  <hr>
  <div class="row">
    <div class="col-5 border border-light rounded">
      <h3>Heartbeats:</h3>
      <pre style="max-height: 75vh;"><%= JSON.stringify(hbs,null,4) %></pre>      
    </div>
    <div class="col-7 border border-light rounded">
      <h3>Questions:</h3>
      <table class="table table-hover edgar">
        <thead>
          <tr>
            <th>#</th>
            <th>Id</th>
            <th>TS Created</th>
            <th>Curr answer</th>
          </tr>
        </thead>
        <tbody>
          <% for (var i = 0; i < questions.length; ++i) { %>
            <tr>
              <td>
                <%= questions[i].ordinal  %>
              </td>
              <td>
                <a href="/question/edit/<%-questions[i].id_question%>" target="_blank">
                  <%-questions[i].id_question%>
                </a>
              </td>
              <td>
                <%= questions[i].ts_created  %>
              </td>
              <td>
                <pre><%= (ongoingtests 
                          && ongoingtests.currAnswers 
                          && ongoingtests.currAnswers[questions[i].id_test_instance]
                          && (ongoingtests.currAnswers[questions[i].id_test_instance])[i]) ?
                  ((ongoingtests.currAnswers[questions[i].id_test_instance])[i].multichoice && (ongoingtests.currAnswers[questions[i].id_test_instance])[i].multichoice.length) ?
                      (ongoingtests.currAnswers[questions[i].id_test_instance])[i].multichoice : 
                        (    (ongoingtests.currAnswers[questions[i].id_test_instance])[i].codeAnswer
                             && (ongoingtests.currAnswers[questions[i].id_test_instance])[i].codeAnswer.code ? 
                             (ongoingtests.currAnswers[questions[i].id_test_instance])[i].codeAnswer.code 
                            : (ongoingtests.currAnswers[questions[i].id_test_instance])[i].textAnswer
                              || JSON.stringify((ongoingtests.currAnswers[questions[i].id_test_instance])[i])
                          )
                  : 'null' %>
                </pre>
              </td>
            </tr>
            <% } %>
        </tbody>
      </table>
    </div>
  </div>

  <div class="row">
    <div class="col">
      <h3>Exam log:</h3>
      <table class="table table-hover edgar">
        <thead>
          <tr>
            <th>#</th>
            <th>Mongo ts</th>
            <th>Client ts</th>
            <th>Event name</th>
            <th>Event data</th>
          </tr>
        </thead>
        <tbody>
          <% for (var i = 0; testlogs[0] && testlogs[0].events && i < testlogs[0].events.length; ++i) { %>
            <tr>
              <td>
                <%= (i+1) %>
              </td>
              <td>
                <%= testlogs[0].events[i].mongoTs  %>
              </td>
              <td>
                <%= testlogs[0].events[i].clientTs  %>
              </td>
              <td>
                <%- `<span ${ (testlogs[0].events[i].eventName === "Lost focus") ? 'class="edgar-error"' : ''} > ${testlogs[0].events[i].eventName} </span>` %>
                <%- (testlogs[0].events[i].eventName === "Code exec result received" && session.rolename === 'Teacher') 
                    ? `<a
                      href="/test/instance/${studTest.id_test_instance}/details/${testlogs[0].events[i].mongoTs.valueOf()}"
                      target="blank"><i
                        class="fa fa-table" aria-hidden="true"></i></a>`
                    : '' %>

              </td>
              <td <% if (/error/i.test(testlogs[0].events[i].eventData) || /warning/i.test(testlogs[0].events[i].eventData)) {%> class="alert alert-danger"
                <%}%>>
                  <pre><%= ('' + testlogs[0].events[i].eventData).replace(/\,/g, ', ') %></pre></td>
            </tr>
            <% } %>
        </tbody>
      </table>
    </div>
  </div>


</div>